All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.discovery
Class ServiceNotAvailableException

    com.sas.services.discovery.ServiceNotAvailableException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

    public class ServiceNotAvailableException

implements java.io.Serializable

Service is not available exception. This exception is thrown by the Discovery Service in the event that it is unable to locate a deployed service satisfying the requested service template.

Use `getServiceTemplate()` to retrieve the requested service template.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`ServiceNotAvailableException()` Constructs an instance using a default exception message.
`ServiceNotAvailableException(ServiceTemplate serviceTemplate)` Constructs an instance using the service template for which a service was not available.
`ServiceNotAvailableException(ServiceTemplate serviceTemplate, java.lang.Throwable throwable)` Constructs an instance by specifying a message and `Throwable`.
`ServiceNotAvailableException(java.lang.String message)` Constructs an instance using the specified exception message.
`ServiceNotAvailableException(java.lang.String message, ServiceTemplate serviceTemplate)` Constructs an instance using the specified message and service template for which a service was not available.
`ServiceNotAvailableException(java.lang.String message, java.lang.Throwable throwable, ServiceTemplate serviceTemplate)` Constructs an instance by specifying a message, `Throwable`, and service template for which a service was not available.
`ServiceNotAvailableException(java.lang.Throwable throwable, java.lang.String message)` Constructs an instance by specifying a message and `Throwable`.

Method Summary
`java.lang.String` | `getMessage()` Gets an exception message detailing the service template that was desired, but not found in the currently deployed services.
`ServiceTemplate` | `getServiceTemplate()` Gets the service capabilities that were sought, but not available.

Constructor Detail

### ServiceNotAvailableException

    public ServiceNotAvailableException()

  Constructs an instance using a default exception message.

### ServiceNotAvailableException

    public ServiceNotAvailableException(java.lang.String message)

  Constructs an instance using the specified exception message.

  Parameters:
    `message` - Exception message.

### ServiceNotAvailableException

    public ServiceNotAvailableException(java.lang.Throwable throwable,
                                        java.lang.String message)

  Constructs an instance by specifying a message and `Throwable`.

  Parameters:
    `message` - Exception's message.
    `throwable` - Throwable that caused the exception.

### ServiceNotAvailableException

    public ServiceNotAvailableException(ServiceTemplate serviceTemplate)

  Constructs an instance using the service template for which a service was not available.

  Parameters:
    `serviceTemplate` - Service template that was requested, but not available.

### ServiceNotAvailableException

    public ServiceNotAvailableException(java.lang.String message,
                                        ServiceTemplate serviceTemplate)

  Constructs an instance using the specified message and service template for which a service was not available.

  Parameters:
    `message` - Message detailing the exception.
    `serviceTemplate` - Service template that was requested, but not available.

### ServiceNotAvailableException

    public ServiceNotAvailableException(ServiceTemplate serviceTemplate,
                                        java.lang.Throwable throwable)

  Constructs an instance by specifying a message and `Throwable`.

  Parameters:
    `serviceTemplate` - Service template that was requested, but not available.
    `throwable` - Throwable that caused the exception.

### ServiceNotAvailableException

    public ServiceNotAvailableException(java.lang.String message,
                                        java.lang.Throwable throwable,
                                        ServiceTemplate serviceTemplate)

  Constructs an instance by specifying a message, `Throwable`, and service template for which a service was not available.

  Parameters:
    `message` - Exception's message.
    `throwable` - Throwable that caused the exception.
    `serviceTemplate` - Service template that was requested, but not available.

Method Detail

### getServiceTemplate

    public final ServiceTemplate getServiceTemplate()

  Gets the service capabilities that were sought, but not available.

  Returns:
    Service template that was requested, but not available.

### getMessage

    public final java.lang.String getMessage()

  Gets an exception message detailing the service template that was desired, but not found in the currently deployed services.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    Message

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.